package com.project.zcustom.service.car;

import com.project.zcustom.domain.addional.LargeCar;
import com.project.zcustom.domain.addional.LargeCarDetail;
import com.project.zcustom.domain.addional.LargeWarnDetail;

import java.util.List;
import java.util.Map;

public interface ILargePlatCarService {
    LargeCar getResource(String appOrg);
    Map<String, Object> getCarDetail(String appOrg, Long flag, Long pageSize, Long page);
    LargeCar getMonitor(String appOrg);
    Map<String, Object> getWarnDetail(String appOrg, String alertType, Long pageSize, Long page);
    LargeCar getOperationManageTopHalf(String appOrg);
    Map<String, Object> getOperationManageLastHalf();
    List<Long> getSelfCarNum();
}
